在Ubuntu18.04上,软件安装无法安装VMwareHorizon客户端,

・2 分钟阅读

问题:


sudo sh./VMware-Horizon-Client-4.8.0-8518891.x64.bundle


Extracting VMware Installer...done.


/tmp/vmis.bxQxOU/install/vmware-installer/vmware-installer: line 76: python: command not found



编辑我按照这些步骤操作,但是,仍然得到原始错误消息;


sudo apt update


sudo apt install python2.7



cd ~/Downloads


sudo sh./VMware-Horizon-Client-4.8.0-8518891.x64.bundle



同样的结果:

正在提取VMware安装程序...已完成。
/tmp/vmis.bxQxOU/install/vmware-installer/vmware-installer: line 76 : python : command not found

尝试4.7.0版本;相同的内容。


回答 1:

默认情况下在Ubuntu18.04上没有安装 python 2.7,因此你需要安装它,但是,输入错误的命令来执行a. bundle看是什么造成的, python: command not found 错误。


sudo apt update 


sudo apt install python2.7 


cd ~/Downloads 


sudo./VMware-Horizon-Client-4.8.0-8518891.x64.bundle 



如果从上一个命令中获得权限错误,请右键单击VMware-Horizon-Client-4.8.0-8518891.x64.bundle文件,选择属性-


回答 2:

根据他们的文档,尝试以下内容:

python2 16.04x64发行版上的环境,运行,


sudo apt-get install python-gtk2



安装gtk2库。


讨论
Tianye profile image